import React from "react";
import {
  TouchableOpacity,
  StyleSheet,
  Text,
  Dimensions,
  Platform,
} from "react-native";

function AppButton({ title, style, color = "black", onPress, ...otherProps }) {
  return (
    <TouchableOpacity
      pressMagnification={0.1}
      style={{
        ...styles.button,
        ...style,
        ...{ backgroundColor: color },
      }}
      onPress={onPress}
      {...otherProps}
    >
      <Text style={styles.buttonText}>{title}</Text>
    </TouchableOpacity>
  );
}

export default AppButton;

const styles = StyleSheet.create({
  button: {
    borderRadius: 6,
    alignItems: "center",
    justifyContent: "center",
    height: Dimensions.get("window").width * 0.07,
    marginTop: "2%",
  },
  buttonText: {
    color: "white",
    fontSize:
      Platform.OS == "android"
        ? Dimensions.get("window").width * 0.03
        : Dimensions.get("window").width * 0.041,
    textTransform: "uppercase",
  },
});
