import React from "react";
import {
  View,
  StyleSheet,
  Text,
  Dimensions,
  TouchableOpacity,
} from "react-native";

function TopTitle({ item, onPress, backgroundColor, textColor }) {
  return (
    <TouchableOpacity
      onPress={onPress}
      style={[styles.item, backgroundColor, { borderRadius: 10 }]}
    >
      <View
        style={{
          borderRadius: 10,
          width: 250,
          justifyContent: "center",
          alignItems: "center",
        }}
      >
        <Text style={[styles.title, textColor]}>{item.title}</Text>
      </View>
    </TouchableOpacity>
  );
}

const styles = StyleSheet.create({
  container: {
    paddingVertical: "10%",
    paddingHorizontal: "5%",
    backgroundColor: "dodgerblue",
    justifyContent: "center",
    alignItems: "center",
    borderRadius: 10,
    position: "relative",
    marginHorizontal: "1%",
  },
  text: {
    color: "white",
    fontSize: Dimensions.get("screen").width * 0.04,
  },
  item: {
    backgroundColor: "#f9c2ff",
    padding: 20,
    marginVertical: 8,
    marginHorizontal: 16,
  },
  title: {
    fontSize: Dimensions.get("screen").width * 0.035,
  },
});

export default TopTitle;
